/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package qsim.resultProcessors;

import java.util.Scanner;

/**
 *
 * @author joe
 */
public class QueueProcResultProcessor extends ResultProcessor{
    
    public QueueProcResultProcessor (String result){
        this.result = new String(result);
        report = new String[6][5];
    }
    
    /**
     * Beállítja a report mátrixot
     * Sorai:
     * - Kapacitás
     * - Kihasználtság
     * - Sorhossz
     * - Várakozási idő
     * - Kiszolgálási idő
     * - Válaszidő
     * 
     * Oszlopai:
     * - min
     * - max
     * - átlag
     * - szórás
     * - igények száma
     * 
     * @return
     */
    
    @Override
    public void getStatistic(){
        Scanner sc = new Scanner(result);
        
        //cím, idő, oszlopcímek elhagyása
        sc.nextLine();
        sc.nextLine();
        sc.nextLine();
        
        //kapacitás
        sc.next();
        report[0][0] = sc.next();
        report[0][1] = sc.next();
        report[0][2] = sc.nextLine().trim();
        report[0][3] = null;
        report[0][4] = null;
            
        //kihasználtság
        sc.next();
        report[1][0] = sc.next();
        report[1][1] = sc.next();
        report[1][2] = sc.nextLine().trim();
        report[1][3] = null;
        report[1][4] = null;
            
        //sorhossz :: két szóból áll, azért van két sc.next()
        sc.next();
        sc.next();
        report[2][0] = sc.next();
        report[2][1] = sc.next();
        report[2][2] = sc.nextLine().trim();
        report[2][3] = null;
        report[2][4] = null;
             
        //várakozási idő
        sc.next();
        report[3][0] = sc.next();
        report[3][1] = sc.next();
        report[3][2] = sc.next();
        report[3][3] = sc.next();
        report[3][4] = sc.nextLine().trim();
        
        //kiszolgálási idő
        sc.next();
        report[4][0] = sc.next();
        report[4][1] = sc.next();
        report[4][2] = sc.next();
        report[4][3] = sc.next();
        report[4][4] = sc.nextLine().trim();
        
        //válaszidő
        sc.next();
        report[5][0] = sc.next();
        report[5][1] = sc.next();
        report[5][2] = sc.next();
        report[5][3] = sc.next();
        report[5][4] = sc.nextLine().trim();
        
        sc.close();
    }

}
